# Created by pyp2rpm-3.3.5
%global pypi_name pydroid-ipcam

Name:           python-%{pypi_name}
Version:        0.1
Release:        1%{?dist}
Summary:        A asyncio library for handling android ipcam

License:        BSD License
URL:            https://github.com/pvizeli/pydroid-ipcam
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
PyDroid-IpCam A python asyncio library for handling android ipcam.Original
written for Home-AssistantLinks- -

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aiohttp)
Requires:       python3dist(async-timeout)
Requires:       python3dist(yarl)
%description -n python3-%{pypi_name}
PyDroid-IpCam A python asyncio library for handling android ipcam.Original
written for Home-AssistantLinks- -


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pydroid_ipcam.py
%{python3_sitelib}/pydroid_ipcam-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 01 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-1
- Initial package.
